<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\PreferencesModel;

class PreferencesModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(PreferencesModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(PreferencesModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(PreferencesModel::class);
    }
}
